* {
    margin: 0;
}

.sidebar {
    background: #fff;
    position: fixed;
    height: 100%;
    display: none;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease-out;
    width: calc(1000 * 10);
    z-index: 10;
}

.sidebar ul {
    list-style: none;
}


.sidebar ul li {
    display: block;
}


.sidebar ul li a {
    padding: 8px 15px;
    font-size: 1vw;
    color: #222;
    font-family: arial;
    text-decoration: none;
    display: block;
    position: relative;
    z-index: 1;
    transition: all 0.3s ease-out;
    font-weight: 500;
}

.sidebarshow {
    display: block;
}

.menu-box {
    min-width: 236px;
    width: 18vw;
    display: none;
    min-height: 64px;
    height: max(64px, 4.3vw);
    right: 0;
    position: fixed;
    background-color: white;
    z-index: 10;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
}

.menu-show {
    display: block !important;
}

.toggle span:before,
.toggle span:after {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    background: #555;
    transition: all 0.3s ease-out;
}

.toggle span {
    width: 100%;
    height: 3px;
    background: #555;
    display: block;
    position: relative;
    cursor: pointer;
}

.toggle span:before {
    top: -8px;
}

.toggle span:after {
    top: 8px;
}

.toggle span.toggle {
    background: transparent;
}

.toggle span.toggle:before {
    top: 0;
    transform: rotate(-45deg);
    background: #4CAF50;

}

.toggle span.toggle:after {
    top: 0;
    transform: rotate(45deg);
    background: #4CAF50;
}

.sidebar ul li a:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%;
    right: 50%;
    transform: translate(-50%, -50%);
    width: 0;
    height: 1px;
    background: #4CAF50;
    z-index: -1;
    /* transition: all 0.3s ease-out; */
    transition: transform 20s ease-out;
}

.sidebar ul li a:hover::before {
    width: 100%;
}

.sidebar ul li a:hover {
    color: #4CAF50;
}

.box ul li a:hover {
    color: #4CAF50;
}

.layout-header-right {
    position: relative;
    /* font-size: 30px; */
}

.layout-header-main {
    height: max(31px, 5vh);
    background-color: #C20E35;
    display: flex;
    justify-content: space-between;
}

.layout-header-main img {
    cursor: pointer;
}

.example-container {
    width: 400px;
    height: 200px;
    margin: 10px;
    border: 1px solid #555;
}

.mat-sidenav-container {
    position: absolute;
    height: 90%;
    z-index: 12;
}

.mat-sidenav {
    width: 200px;
    background-color: rgb(242, 242, 242)
}